Bug 1221923 - update to llvm-3.5.2
Summary: update to llvm-3.5.2
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: llvm
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-15 09:21 UTC by Jens Petersen
Modified: 2016-06-05 11:30 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-06-05 11:30:38 UTC


Attachments (Terms of Use)

Description Jens Petersen 2015-05-15 09:21:19 UTC
Description of problem:
Would it make sense to update llvm to 3.5.2 (latest 3.5.x release)?

ghc-7.10 needs llvm-3.5 to work on ARMv7 but 3.5.0
has a critical bug, so the current llvm-3.5.0 package
is not good enough.

Are there any concerns about updating F22 to 3.5.2?

Comment 1 Jens Petersen 2015-05-21 03:28:01 UTC
F23 rawhide scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9812392
(more for my own reference for a f23 llvm35 package)

F22 scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=9812412

Comment 2 Jens Petersen 2015-05-21 07:55:24 UTC
(In reply to Jens Petersen from comment #1)
> F23 rawhide scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=9812392

Failed with "fatal error: 'endian.h' file not found".

> F22 scratch build:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=9812412

This succeeded, and also locally on my F21 x86_64 box.

Comment 3 Jens Petersen 2015-05-21 08:00:08 UTC
Just bumping the version in llvm.spec seems sufficient.
No other changes needed.


Note You need to log in before you can comment on or make changes to this bug.